--This file computes Betti tables for P^1 for d = 6 and b = 5
A := degreesRing 2
new HashTable from {
--tb stands for Total Betti numbers
"tb"=>new HashTable from {(0,0) => 6, (0,1) => 0, (1,0) => 30, (1,1) => 0, (2,0) => 60, (2,1) => 0, (3,0) => 60, (3,1) => 0, (4,0) => 30, (4,1) => 0, (5,0) => 6, (5,1) => 0},
--mb stands for Multigraded Betti numbers
"mb"=>new HashTable from {(0,0) => A_0^5+A_0^4*A_1+A_0^3*A_1^2+A_0^2*A_1^3+A_0*A_1^4+A_1^5, (1,0) => A_0^10*A_1+2*A_0^9*A_1^2+3*A_0^8*A_1^3+4*A_0^7*A_1^4+5*A_0^6*A_1^5+5*A_0^5*A_1^6+4*A_0^4*A_1^7+3*A_0^3*A_1^8+2*A_0^2*A_1^9+A_0*A_1^10, (0,1) => 0, (1,1) => 0, (2,0) => A_0^14*A_1^3+2*A_0^13*A_1^4+4*A_0^12*A_1^5+6*A_0^11*A_1^6+8*A_0^10*A_1^7+9*A_0^9*A_1^8+9*A_0^8*A_1^9+8*A_0^7*A_1^10+6*A_0^6*A_1^11+4*A_0^5*A_1^12+2*A_0^4*A_1^13+A_0^3*A_1^14, (3,0) => A_0^17*A_1^6+2*A_0^16*A_1^7+4*A_0^15*A_1^8+6*A_0^14*A_1^9+8*A_0^13*A_1^10+9*A_0^12*A_1^11+9*A_0^11*A_1^12+8*A_0^10*A_1^13+6*A_0^9*A_1^14+4*A_0^8*A_1^15+2*A_0^7*A_1^16+A_0^6*A_1^17, (2,1) => 0, (4,0) => A_0^19*A_1^10+2*A_0^18*A_1^11+3*A_0^17*A_1^12+4*A_0^16*A_1^13+5*A_0^15*A_1^14+5*A_0^14*A_1^15+4*A_0^13*A_1^16+3*A_0^12*A_1^17+2*A_0^11*A_1^18+A_0^10*A_1^19, (3,1) => 0, (5,0) => A_0^20*A_1^15+A_0^19*A_1^16+A_0^18*A_1^17+A_0^17*A_1^18+A_0^16*A_1^19+A_0^15*A_1^20, (4,1) => 0, (5,1) => 0},
--sb represents the betti numbers as sums of Schur functors
"sb"=>new HashTable from {(0,0) => {({5,0},1)}, (0,1) => {}, (1,0) => {({10,1},1)}, (1,1) => {}, (2,0) => {({14,3},1)}, (2,1) => {}, (3,0) => {({17,6},1)}, (3,1) => {}, (4,0) => {({19,10},1)}, (4,1) => {}, (5,0) => {({20,15},1)}, (5,1) => {}},
--dw encodes the dominant weights in each entry
"dw"=>new HashTable from {(0,0) => {{5,0}}, (0,1) => {}, (1,0) => {{10,1}}, (1,1) => {}, (2,0) => {{14,3}}, (2,1) => {}, (3,0) => {{17,6}}, (3,1) => {}, (4,0) => {{19,10}}, (4,1) => {}, (5,0) => {{20,15}}, (5,1) => {}},
--lw encodes the lex leading weight in each entry
"lw"=>new HashTable from {(0,0) => {5,0}, (0,1) => {}, (1,0) => {10,1}, (1,1) => {}, (2,0) => {14,3}, (2,1) => {}, (3,0) => {17,6}, (3,1) => {}, (4,0) => {19,10}, (4,1) => {}, (5,0) => {20,15}, (5,1) => {}},
--nr encodes the number of distinct representations in each entry
"nr"=>new HashTable from {(0,0) => 1, (0,1) => 0, (1,0) => 1, (1,1) => 0, (2,0) => 1, (2,1) => 0, (3,0) => 1, (3,1) => 0, (4,0) => 1, (4,1) => 0, (5,0) => 1, (5,1) => 0},
--nrm encodes the number of representations with multiplicity in each entry
"nrm"=>new HashTable from {(0,0) => 1, (0,1) => 0, (1,0) => 1, (1,1) => 0, (2,0) => 1, (2,1) => 0, (3,0) => 1, (3,1) => 0, (4,0) => 1, (4,1) => 0, (5,0) => 1, (5,1) => 0},
--er encodes the errors in the computed multigraded Hilbert series via our Schur method in each entry
"er"=>new HashTable from {(0,0) => 6, (0,1) => 0, (1,0) => 30, (1,1) => 0, (2,0) => 60, (2,1) => 0, (3,0) => 60, (3,1) => 0, (4,0) => 30, (4,1) => 0, (5,0) => 6, (5,1) => 0},
--bs encodes the Boij-Soederberg coefficients each entry
"bs"=>{720/1},
}
